Skip to main content
GET
/
cabinet
/
gift
/
purchase
/
{token}
Get Gift Purchase Status
curl --request GET \
  --url https://api.example.com/cabinet/gift/purchase/{token} \
  --header 'Authorization: Bearer <token>'
{
  "status": "<string>",
  "is_gift": true,
  "is_code_only": false,
  "purchase_token": "<string>",
  "recipient_contact_value": "<string>",
  "gift_message": "<string>",
  "tariff_name": "<string>",
  "period_days": 123,
  "warning": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

token
string
required

Response

Successful Response

status
string
required
is_gift
boolean
default:true
is_code_only
boolean
default:false
purchase_token
string | null
recipient_contact_value
string | null
gift_message
string | null
tariff_name
string | null
period_days
integer | null
warning
string | null